package cn.com.infosec.asn1.x509;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERSequence;
import java.util.Enumeration;

public class TargetInformation extends ASN1Encodable {
   private ASN1Sequence targets;

   public static TargetInformation getInstance(Object obj) {
      if (obj instanceof TargetInformation) {
         return (TargetInformation)obj;
      } else if (obj instanceof ASN1Sequence) {
         return new TargetInformation((ASN1Sequence)obj);
      } else {
         throw new IllegalArgumentException("unknown object in factory: " + obj.getClass());
      }
   }

   private TargetInformation(ASN1Sequence seq) {
      this.targets = seq;
   }

   public TargetInformation(Targets targets) {
      TargetInformation var10000 = this;
      super();
      DERSequence var2;
      var2 = new DERSequence.<init>(targets);
      var10000.targets = var2;
   }

   public TargetInformation(Target[] targets) {
      TargetInformation var10000 = this;
      Targets var2;
      var2 = new Targets.<init>(targets);
      var10000.<init>(var2);
   }

   public Targets[] getTargetsObjects() {
      Targets[] var3 = new Targets[this.targets.size()];
      int var1 = 0;

      for(Enumeration var2 = this.targets.getObjects(); var2.hasMoreElements(); var3[var1++] = Targets.getInstance(var2.nextElement())) {
      }

      return var3;
   }

   public DERObject toASN1Object() {
      return this.targets;
   }
}
